petsc-3.6.2 2015-10-02
Report Typos and Errors

# PCSetInitialGuessNonzero

Tells the iterative solver that the initial guess is nonzero; otherwise PC assumes the initial guess is to be zero (and thus zeros it out before solving).

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  PCSetInitialGuessNonzero(PC pc,PetscBool flg)

Logically Collective on PC

### Input Parameters

| pc | - iterative context obtained from PCCreate()
| flg | - PETSC_TRUE indicates the guess is non-zero, PETSC_FALSE indicates the guess is zero

### Notes

This is a weird function. Since PC's are linear operators on the right hand side they CANNOT use an initial guess. This function is for the "pass-through" preconditioners PCKSP and PCREDUNDANT and causes the inner KSP object to use the nonzero initial guess. Not currently working for PCREDUNDANT, that has to be rewritten to use KSP.

### Keywords

PC, set, initial guess, nonzero

### See Also

PCGetInitialGuessNonzero(), PCSetInitialGuessKnoll(), PCGetInitialGuessKnoll()

Level:Developer
Location:src/ksp/pc/interface/precon.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages